---
layout: blog
title: 🤷 But Do You Really Care?
description: On taking a break from social media
tags: [Miscellaneous]
---

Over the years, my views on social media and its purpose have changed many times. When I first started out using the internet, playing Minecraft and watching YouTube videos about it, I didn't really care about social media in general. Eventually, I created a Twitter account, just to be able to follow people and see their tweets, to see what the people I cared about were... caring about. Eventually, as Discord rolled around, I first just used it to talk to my friends, but I eventually decided that a server would probably be a good idea. So I created the "Ellpeck and Friends" server, which eventually evolved into the server [that it is today](https://link.ellpeck.de/discordweb).

So, the more I used Discord and Twitter, the more... *obsessive* I became about them. Every time I'd write a tweet, I'd sit there, staring at my screen for the better part of half an hour, seeing if anyone would reply, if anyone would like the tweet, if anyone would retweet, if anyone had an opinion on what I was saying. *If anyone approved*. Every time I'd say something in my Discord server, I'd actively wait for people to respond. To answer my question, to react to my joke. I wanted to know *if anyone approved*. Every time I saw that little red dot appear next to the Discord icon in the taskbar, I'd instantly stop whatever I was doing and figuratively *run* into my server to see what was going on. Did someone need my help? Did someone *finally* reply to that one message I posted two hours ago? No, it was just a new server member who joined, triggering one of those weird "a new user joined" messages.

But... why? Why would I care so much about who liked my tweet, or who replied to it? Even if my close friends liked it, I would go "AHA, someone approves!", despite the fact that I *know* that my friends approve of most of the things I do - that's kind of what friends just do. Why did I care so much about a stupid message in my stupid Discord server? Why did I *desperately* want the person that just posted "when will you update Actually Additions to 1.15?" to reply to what I answered? They were just a stranger. It's not like their opinion actually matters when it comes to me and my life. But somehow, it still mattered *to me*.

So the other day, I just decided... no. This wasn't what I was going to do anymore. I wasn't going to let some dumb, scream-into-the-void social media platforms control my life anymore. So, before bed that night, I quickly deleted Discord and Twitter off of my computer, and off of my phone. Ever since, my phone's homescreen has had two blatantly visible empty spaces.

It's been about two weeks since I did that, and... I've honestly been feeling really good about it. I started occasionally checking Twitter again, but never just to see notifications or to see if someone replied to any of my tweets. I only ever look at it if I want to tweet, or if I'm curious about what someone else has been tweeting about recently. Last night, I opened Discord from the browser to check if any of my friends have been messaging me there. There were a couple of notifications, which I replied to. I also checked my server, and *oh my God*, did I feel good about taking a break from that. There were a bunch of messages from people asking about my mods, and how to do certain things. There weren't any important messages, anything that, if I missed it, would change my life in some way. I didn't *need* to be there.

I realized that I shouldn't care that much what other people think about me; neither on social media, nor in real life. It's an unnecessary hassle to make sure that everyone loves you, that you don't make any mistakes, that you only have opinions that other people approve of. The important part is that you approve of *yourself*, and that the people you care about also care about you.

So... if you're feeling like there's a lot of pressure on you whenever you tweet, or send a message in a Discord server, or write a Facebook post, then maybe you should try just not doing that for a little while. It might make you feel a bit better.

*This post won't have a discussion link, for obvious reasons.*
