---
layout: blog
title: 🍝 Ketchup, Mayo and Barbecue Sauce
description: "Sally can't quite decide what skirt to buy. When she starts going out for lunch with David, an old crush from high school, she can't quite decide what to order. But she's sure about one thing: She likes David. A lot."
tags: [Short Stories]
book: true
reedsy: https://blog.reedsy.com/creative-writing-prompts/contests/95/submissions/69321/
discuss: https://twitter.com/Ellpeck/status/1398049729582407686
---

Sally strolled along the shopping street with her favorite, rainbow-colored bag swung over her left shoulder. Looking around the shops, she wondered if she'd gotten everything from her list. Unsure, but willing to be *absolutely certain*, she pulled her phone out of her shiny bag and opened her notes. There was one item left on it, unticked: *short skirt, blue, summer*. She held the bag open with one hand and started rummaging through it with the other. Sally had already bought a skirt, but it wasn't blue, and it wasn't fit for summer either. It was longer, and the colors made her think of the fall. Of dancing around in the rain, of jumping straight into a pile of leaves. Of *Joey*.

Oh, God.

She took the skirt out of its protective casing and checked the price tag, which was still firmly attached to the waistband. Forty-seven dollars, it said. That was a lot of money to pay for a skirt, wasn't it? She jerked around on the busy street in an instant, almost bumping into a stranger, while trying to locate the store where she'd gotten this stupid thing.

Ah, there it was. Without thinking much, she stuffed the skirt back into her bag and headed straight for the entrance of the small boutique.

As she started scanning the other skirts on the racks close to the entrance, she concluded that this store was clearly ill-fitting for her goal of completing the last item on her to-do list. There were no skirts in fun, summery colors. Slightly outraged, and about ready to head to the counter to return the expensive fall skirt, she noticed a familiar face in line for the register.

Was it really--? No, it couldn't have been. As the long-haired guy turned around, she quickly ducked behind one of the racks as to not make it seem like she'd just been staring at him. Naturally. What could be a better way to make it seem like you're *totally* minding your own business than hiding under some random clothes rack like a nine-year-old?

Oh, well. It was too late now to seem normal.

As she raised her head carefully above the rack, just enough to be able to spy-- look at David, she realized how much he'd changed since the last time she saw him. He was wearing a flashy jacket, not the weird high school varsity kind, but a punky sort of dark, possibly faux-leather looking thing. His shoulders were--wow, his shoulders were broad, and they looked strong as hell. How much had he been lifting? Did he carry boulders for fun? For only a quick second, definitely absolutely not for longer, she imagined him scooping her up and carrying her like a princess. She imagined herself, staring up into his dark brown eyes, wondering what it would be like to look into them before she fell asleep.

Joey would've never done anything like that with her. It wasn't that he hadn't been strong enough to carry her or anything, it's that he just wasn't the *romantic* type. The type of person to kiss her out of nowhere, the type to turn around while walking next to her and pull her into a tight, warm embrace. But David, *oh, David*, maybe he could be that, for her.

After a few more minutes of dreaming, and possibly a tiny bit of *drooling*, she caught herself doing exactly the thing that she promised herself she'd never do again: *Pining* for someone, someone who probably didn't even remember she existed. Someone she hadn't even *talked to* yet. Jesus Christ.

She needed to get her act together, she thought to herself. And what better way to do that than to return that ugly fall skirt she'd bought and get a perfect, blue summer one just like her to-do list demanded of her. She sat up, turned away from David, who looked like he was almost finished checking out by now, and pulled the stupid skirt back out of her bag. But looking at it, she realized again how beautiful the pattern on it was. How the thin lines connected to form what looked like a network of pathways, or maybe a tree with thousands of small branches.

She stuffed the skirt right back into her bag and deliberated. She could always just get the blue summer skirt *on top* of the fall one, and keep both. But surely, she'd never *wear* both of them, because she already had so many other skirts, and dresses, and jeans. Why did she have *so many clothes*? She didn't even need to buy any more today. This whole thing was so unnecessary, she realized.

Determined to keep the skirt (because of the beautiful lines, et cetera), but not buy another skirt (because of the full closet), she headed straight for the exit with big, confident strides. So confident, in fact, that she ran right into the backside of none other than David, who had stopped in the doorway of the store, probably to check his phone or something.

Oh, fucking hell.

David leapt forward immediately and scrambled to keep his phone in his hand. He turned around and shot Sally a weird look.

"I'm so sorry," she mumbled, sounding overly apologetic. "I didn't look where I was going."

"It's no problem," he said and the corner of his mouth tilted upwards a little. "Wait, don't I know you from somewhere?"

Sally paused. A person who *hadn't* just stalked her old high school classmate from behind a fucking skirt rack would probably be confused for a second before, like her, immediately saying "Yea, hi, I'm Sally, back from school."

He arched an eyebrow. "Sally...," he began. "Sally, like, debate team Sally?"

"Is that what you thought of me as?", she said almost instinctively. "I didn't even do it for that long."

"Well," David began awkwardly and stuffed his phone into his pocket. "The other Sally made it hard to think of you as just 'Sally'", he explained.

Ah, that made a lot of sense, actually. Sally (the other one) was one of the popular girls, and *this* Sally was never that popular at school, or anywhere, really. She hung around the debate team for a while, but quit fairly quickly and moved on to a different club. And right now, still standing in the doorway of the store, awkwardly looking at David, she pulled a face and tried to remember what she *did* after she quit the debate team.

"Anyway," David said with a blank expression. "I was about to grab lunch..."

He paused, and Sally just kind of stared. She was still thinking about that damn club.

"You want to come?" David finally said.

"Uh, what?" Sally began awkwardly. It took a second for her brain to process what David had just said. "Oh, yea, sure, that sounds great!", and it really *did* sound great to her, too.

***

Sally couldn't quite believe it, but David had actually given her his *phone number* after their lunch date thing. They'd walked to a nearby fast food place and both ordered a burger and fries, and, while waiting for the food to arrive, they'd talked about what both of them had started doing after finishing school.

Sally was sitting in her bed now and looking down at her phone, the bright screen displaying David's contact information. He'd entered his first name only, along with his phone number. For a moment, Sally wondered if he might have given her some sort of fake number, but that wouldn't make much sense, because *he* was the one who'd invited her to lunch, after all.

She hovered over the green call button with her thumb, considering her options. Maybe she should just text him? What would she say, though? A call just seemed easier. Plus, it was cheaper, right? With her contract and all. Finally, she tapped the button with a shaky finger.

"Hello?" a familiar voice said on the other end of the line.

"Hey, it's me, Sally, from lunch," she said awkwardly. "Do you want to go out again, maybe?"

Wow, that was *bold* of her, wasn't it? What had gotten into her all of a sudden? She never used to be like this with Joey, or anyone else, for that matter. She shook her head and followed up with a *super* smooth "Only if you want, though. Of course." Fucking hell.

"I'd love to! I'm so glad you asked," he said. "I was worried you weren't going to call."

He was... *worried*? That was a surprise to Sally. And a nice thing to say, too, in a weird sort of way.

They decided to meet up for lunch again the next day, and David picked out another fast food place in town that sold Asian takeout. Sally wasn't sure if she was going to like it, but she knew she liked *David*, and that was the main thing that mattered to her.

Later that night, she lay awake, staring at the ceiling, thinking about David. About how nice he'd been on the phone. About lunch. *Had* he been really nice, or had she just forgotten what talking to a nice person was like? The thought was a little depressing to her, so she dismissed it as quickly as it came. No, he *had* been very nice to her, she concluded. He was a great lunch buddy.

***

David checked himself in the mirror and pulled a face. He wet his hand in the sink and tried to smooth over a rogue curl in his otherwise silky smooth, brown hair. As he let go, the stupid thing bounced back up, and he quickly admitted defeat. *Fine*, he thought to himself with a kind of confidence that he didn't normally seem to possess. *This day will go great either way.*

Sally had suggested a place that he'd never been to this time around, a place that--from the images online--looked to be a small restaurant with a large outdoor seating area. For a moment, he thought to himself if maybe she picked this place because it looked romantic.

He shrugged off the thought as a notification made his phone vibrate in his pocket. For a second, he wondered if this was Sally canceling their date-- lunch meeting-- *friendly hangout session*.

It was, indeed, Sally. Evidently, she hadn't messaged him to cancel, though.

The little banner notification at the top of his screen captured the start of her message: *been deliberating. do you mind if we go to the thai place i talked abo...* David chuckled to himself as he tapped the notification. She'd already presented him with about seventeen choices last night, asking him which one *he* would choose. What was up with that girl?

*Whatever you want*, he texted back. Damn it, did that sound too disinterested? *You're choosing today*, he added. He liked the idea of doing what Sally wanted. Of seeing her happy. Of *making* her happy. Why was he so into her all of a sudden?

*damn it*, she texted back. *reading online now that the thai place is closed, nvm*.

Fair enough.

***

David looked around the big seating area to spot Sally, sitting at a far table for two, awkwardly waving at him. He waved back briefly and made his way over to her. Sitting down at the table, he asked sarcastically, "Is this the place you want to eat, or should we check out some others instead?"

She pulled a tiny frown and rolled her eyes. "Shut up."

They continued bantering as they ordered food and until after their drinks arrived. This seemed to be their rapport now: Making fun of each other over drinks and varying cuisine. It was good. No, actually. It was *great*.

While eating his burger (and fries with mayonnaise, of course), he looked up to meet Sally's eyes for a quick moment, who smiled back before returning her focus to her own burger, also with fries and mayo. And ketchup. *And* barbecue sauce.
Jesus Christ.

He continued looking at Sally for another few seconds, studying her features, taking in her eyes, which were nestled neatly between the rims of her glasses and below her long, blonde bangs. It was warm today, and Sally was wearing a flowy, bright top and a short, blue skirt that looked like she'd just bought it the same day.

Sally looked back up at him. "You know," she began. "I've really been enjoying our dates."

*Our dates*. Did she mean their lunch meetups? Or did she really mean *dates*? He gave her the benefit of the doubt, because for him, too, it was difficult to come up with names for this... arrangement.

"Me too," he shot back before stuffing a couple of fries into his mouth. After he swallowed, he raised an eyebrow and asked: "Dates?"

She looked back up at him and smiled. "I mean, if you like. We're eating, we're talking, we're... having fun." She paused. "Isn't that what a date is?"

David let what that sink in for a moment. He looked at her and smiled. Of course, he admitted to himself, he'd been *hoping* that these were proper dates. And sitting across from Sally, right here, right now, *knowing* that she also thought of them as *dates*... it made him feel a sort of happiness that he hadn't felt in a long time. He quietly smiled to himself and looked down at his plate again, stuffing another handful of fries into his mouth.

***

As she arrived home and unlocked the front door, Sally realized that she'd been thinking about David, and David alone, for the last few days. Whenever she watched TV and saw a cute scene, she thought of David. When chatting with her friends about their relationships, she thought of David. And, yes, she admitted to herself, she'd also thought of David while touching herself. Once or twice.

But that wasn't bad, she concluded. In fact, she accepted all of it as what it was: A sign that she really liked David. She smiled to herself as she went up to her room, throwing her jacket onto a chair in the corner.

She let herself drop backwards onto the bed like a brick and pulled out her phone, holding it over her head. She opened her message thread with David and typed the words *Today was fun.* Then, she followed up with another message: *I really like you, David.*

This was, for the first time since Sally could remember, something she was absolutely certain about. She didn't have to think twice before sending those messages. She didn't even *want* to think twice about them, because it was so unusually clear to her. She liked David, and there would be nothing she could tell herself, no question she could ask herself, to change that.

Before he even read the message, Sally moved into her contact list with a few quick swipes, scrolling down to the entries that started with the letter J. *J*, as in *Joey*, of course. She tapped his name and immediately felt a weird sense of unease, a dread that she'd always felt when she had to think about him. She scrolled down past the phone numbers and his address until, right there, in the center of her screen, was a big red button with a trash can icon and the word *Delete* next to it.

She thought of the lunches with David again, the way he stuffed fries into his mouth. The way he snickered when she asked the waiter for three different condiments. The way his smooth hair dissolved into more and more curls the longer he was outside in the dry summer heat. The way things seemed so *easy* with him. All of a sudden, the dread that Joey's name brought up in her vanished, just like that.

And then she pressed the button.

As she watched Joey's name slide off-screen in the contact list, all the other J names shuffling up and down neatly to fill the gap, a banner notification came down from the top of her screen. It was David.

*I like you too, Sally. Really like you.*

Another notification came down. *Lunch again tomorrow?*
