---
layout: blog
title: ❤️ Em & Ben
description: Ben hates public gatherings because he suffers from anxiety. He's also in love with his best friend Emily, who frequently tries to drag him out of his shell. At the spring festival, he has a panic attack. Will Emily manage to support him?
tags: [Short Stories]
book: true
reedsy: https://blog.reedsy.com/creative-writing-prompts/contests/86/submissions/59997/
discuss: https://twitter.com/Ellpeck/status/1374770369169653767
---

# Chapter 1
There'd never been a day quite like Tuesday, February 17. It was a warm, spring day, and the newly awakened sun was warming Ben's freckle-ridden face. He didn't know it just yet, but this would be the day that Ben would almost die. Well, that's the way he'd think of it *afterwards*, anyway.

The park was unusually packed with people, and for a second, Ben debated whether turning back was a good idea after all. He'd had these thoughts a lot recently; wanting to just turn back and run away from things. He ran a hand through his long, silky hair and turned around. *Damn it*, he thought, before he snapped back to facing the center of the park. *I have to do this.*

From afar, he could just about make out what was going on around the large fountain. The water was splashing out of what he'd always just assumed to be a large fish, though he didn't have the ability to tell for sure, because the fountain was old and rugged and had probably been just-about-fixed one too many times before. Ben squinted a bit before raising his glasses in an attempt to make out the faces of the people he saw, sitting and standing around the fountain, talking. He was looking for his best friend, Emily. She was really the kind of person that would drag him to outings like this; public gatherings and any sort of parties were terrifying to Ben. It was natural then that he would find a best friend that is his absolute polar opposite: Popular, blonde and, of course, an absolute party animal. *Damn it, Em, where are you?*, he mumbled to no one in particular.

He started approaching the fountain and the square around it. Several small crowds of people were standing around little stalls that emitted vastly different smells. Amidst all of this mess, he was almost certain he could smell bubblegum ice cream. Hectically looking around in an attempt to find his friend, he tried to suppress any memory related to bubble gum. To ice cream. To the life that he'd had before he changed. *Fuck*, he quietly said to himself.

The smell of the bubblegum ice cream started getting too strong for him to handle, and memories started welling up inside of him. His brain was unfolding like a book, too heavy to close. Ben pictured a red, rickety swing set in the middle of a park much like the one he was in right now. He pictured Emily, and for a moment, he pictured the way it had felt. The way the wind blew through his hair as he threw his legs back and forth on the swings, laughing with Em about wanting to do a three hundred and sixty degree turn. Had he already called her *Em* back then?

He immediately snapped back into reality when he felt the tap of something on his shoulder. Immediately might have been generous, because the tap really did feel like a heavy knock. Maybe it had taken him a few seconds to come back. His eyes felt a bit watery and his knees were shaking, but he told himself that he was probably just hungry (he wasn't) and turned around to discover the source of the heavy tapping.

"Ben!", Emily exclaimed right behind him. She was a beautiful woman with curly hair and a smile that probably tasted like bubblegum ice cream. *Tasted?*

"Hey, Emily, why'd you take so long?", he asked in the flattest possible tone.

"Shut up", she returned with a snarky grin. *Damn*, she looked extra beautiful today. Ben looked down at her flowy, blue skirt and matching light purple ballerinas. Even though his eyes were still watery, he couldn't help but smile at the look of her, standing there right in front of him. This is exactly what she did to him.

"Oh man, I want some fro-yo right about now!", Emily sighed yearningly as she grasped Ben's upper arm and started pulling him towards one of the stalls by the fountain. "You want some too? I can pay."

"Are you kidding me? You're *broke*, I'm not letting you pay for *anything*!"

"*Broke*? Come on, that's a bit harsh", she countered and frowned. She stopped dead in her tracks, let go of his upper arm and, after a few seconds of fondling with her cardigan, produced a thirty-dollar bill out of what he could only assume to be a hidden pocket somewhere. "See?"

Not entirely convinced of Emily's sudden wealth, he raised an eyebrow and tilted his head slightly in disapproval. "Fine."

# Chapter 2
Over the next few hours, Ben was dragged back and forth between stalls and attractions. For every single one, he was apprehensive at first but rather quickly changed his mind once Emily frowned. It was such a heart-melting frown, worse than the faces that his aunt's dogs would make when they wanted to be taken for a long walk. Every single thing about Emily was just so beautiful that he could be happy doing anything with her. Even going to a shoddy, uncomfortable carnival in the middle of February.

They'd already stopped at almost every ride and stall, and so Ben decided that now was enough. He wasn't usually the type of person to make decisions like this (he'd just leave it up to whoever else was actually in charge), but this time, he'd put his foot down. He would, absolutely.

"Em, I'm getting tired."

"Are you serious? We haven't even eaten any churros yet!" Emily smiled devilishly at him while tugging on his blue sweatshirt's right sleeve. She was staring at him, as if trying to extract the information directly from his eyes. Her blonde locks were flowing over her brow and almost into her eyes, but that didn't seem to bother her. He guessed that, after a while, you'd probably get used to it, like you do with seeing your own nose. He really liked seeing her nose, though.

"You *love* churros," she pointed out with an overly exaggerated *o* in *love*.

*In love*, he thought. This time, he was going to put his foot down, right? That's what he'd decided. He didn't want people to control him anymore. But was that really what Emily was doing here? No. She was his best friend, she knew what was good for him. Right? She was looking at him, in obvious anticipation of his answer. He did really like churros. But did he love them? He wasn't sure about that. Okay, he did love them, but did he love them enough to warrant another thirty minutes at this godforsaken carnival?

He loved Emily, that was for certain.

Wait, what? Had he really just thought that? No, he couldn't have. That was just one of those jokes his brain made up sometimes. Amusing, albeit slightly infuriating. *Fuck off*, he said to himself.

"What?", Emily replied, clearly confused as to what he was saying. He wasn't saying anything though, right? What had he said?

"I'm, the," he mumbled, trying to make sense of what Emily could've just heard him say. Maybe she didn't hear anything, maybe it was just the wind. What could he have said to her? Surely he didn't say the love part out loud, right?

He stared at her face. Her brown eyes were intensely focusing on him, her lips slightly curled into a smile. She tugged on his sweatshirt one last time.

"So, churros?" Oh Thank God.

"*Fine.*"

***

As they were eating their churros, Ben couldn't help but notice how much chocolate sauce Emily had on hers with every bite. They'd ordered a little square box filled with twelve or so standing churros, along with a small tub of chocolate sauce that tasted criminally close to Nutella without actually being Nutella.

"You know this sauce is for dipping, right?", he said to her with a grin before taking another huge bite. "It's not supposed to be a full-on coating."

"What do you know, huh? Where does it say that?" She tutted and shoved her churro into the tub of sauce with ostentation. While pulling out the excessively coated pastry, she got ready to put her other hand under it as to prevent any of the chocolate sauce from dripping down onto her dress.
"Try it!", she said with an impish smile and held the dripping mess right up to Ben's mouth.

"No, I don't—" He tried to interject, but Emily had already rammed the chocolate-covered churro directly into his face. He resisted opening his mouth, so the chocolate sauce smeared all over this face and chin and then continued to drip onto his sweatshirt in big, brown globs. "Damn it, Em."

"I'm sorry, but why didn't you open your mouth?", she asked jokingly while holding back laughter.

"Fuck," he said angrily and fumbled around his pockets, trying to find a tissue or something. In the scramble, the smells of the chocolate on his face and the odor of bubblegum ice cream in the air mixed to create something awfully unpleasant in his nose. He was trying really hard to find a tissue now.

"Damn it, Em, why do you always have to do that?"

"Oh, *come on*, that isn't fair! I was just trying to have fun!"

"Fun? You know I hate these kinds of things. I hate *people*!"

She tutted. "Lighten up a bit, Ben!"

"Lighten the *fuck* up?" His brain was unfolding again, this time like floodgates, unable to be stopped by the water pushing against them. "You don't understand me at all!"

He was yelling now, and some people around them were beginning to notice. Fuck. He finally looked over at Emily, his face still covered in chocolate sauce, but she wasn't smiling anymore. Instead, she had this look on her face that she'd sometimes get. When watching a sad documentary, or when her mom prepared food that she didn't particularly enjoy. It wasn't a frown, it was more of a neutral expression of… disapproval? Disgust?

"Why is everything such a big fucking deal to you, Ben?", she yelled, tears starting to escape from her half-shut, pained eyes.

That was the moment a switch in his brain finally flicked. A switch that was probably in a back room, guarded by multiple doors with multiple, separate keys. Use only in emergencies, a sign somewhere close to the switch probably said. Don't use even, maybe. Ben tried to force his eyes shut with extreme determination. No, he wouldn't cry.

But he did. Tears started running down his face like waterfalls, and he tried to cover them up and wipe them away with the sleeve of his sweatshirt. He wiped his cheeks with the sleeves of his blue sweatshirt, and large amounts of chocolate sauce transferred from his face to the sleeves. God fucking damn it, he muttered to himself. The world around him was turning into a very small part of his vision, the rest filled with blurry streams of tears. He tried to get up from the bench they were sitting on and stumbled around the square where the festival was happening. He was sure he'd bumped into a few people on the way, but couldn't tell for absolute certain. After what felt like an hour and a half, he finally arrived at a tree a few meters away from the fountain square.

He rested one hand against the bark and tried to catch his breath. The thought of bubblegum ice cream was fresh in his mind again, the thought of the red, rickety swing set was morphing and mixing with the thought of churros, the thought of chocolate sauce in his face. The thought of Emily's smile, the thought of her frown, the thought of her sad movie face. Fuck.

He tried telling himself to breathe. *Five in, six hold, seven out.* That's what his therapist had told him. *One, two, three.* What's the worst that could realistically happen?, that's what he was supposed to ask himself. *Four, five.* Well. *One, two, three.* Emily might never talk to him again. *Four, five, six.* She might hate him, now that she'd just tried to be cute by shoving a churro into his face, and now that he'd reacted like a total fucking asshole. *One, two.* Was he already breathing in again? *Fuck.* He kept telling his body to calm down, his mind to stop racing. His heart to stop racing. He started leaning against the bark and then slowly slid down the tree trunk, sitting down on the ground with his knees close to his chest. He observed the rickety swing set in the middle of the field, and saw himself and Emily swinging back and forth again, talking about three hundred and sixty degree swings. He saw himself, laughing and giggling and occasionally licking a cone of
bubble gum soft serve he had in his left hand. He saw Emily doing the same. He saw himself wobbling a bit on the swing, trying to hold himself steady with just his right hand. He tried to breathe again. *One, two, three.* He saw himself, still holding the cone, sliding out of the swing's seat and yelling something. He saw himself landing in the rough, wet sand, the cone having left his hand and landing face-down in the sand next to him. *Four, five.* Tears were still running down his face. He saw himself turning around as Emily jumped off of her swing and came to his rescue.

"Are you alright?", he heard her say in her beautiful, melodic voice. *One, two, three.*

"I would've been, if you hadn't forced me to get this stupid ice cream!", he heard himself shoot back aggressively.

He felt something tap on his shoulder again.

"Are you alright?", he heard someone say. "I'm sorry, I shouldn't have said that."

It was Emily, standing next to him, bending down a bit to reach his shoulders. She slid down the tree trunk next to him. "I'm really sorry."

Ben tried to catch his breath, but with Emily here, it felt much easier all of a sudden. It's like a tension had been lifted from him, like someone had come to push on the floodgates from the other side. "It's alright. I'm sorry I yelled, too."

Emily tutted.

"You know, sometimes I think of that day on the swings."

"What day?"

"The day we had our first fight. Don't you remember?"

Emily tutted again. She placed her hand back on his shoulder, which he liked, because it was Emily's hand. That's all that mattered to him.

He wiped the remaining tears and chocolate sauce off of his face, his sweatshirt's sleeves now completely covered in both. "I keep remembering that day, being scared that I'll re-live it. That we'll have another fight. That you'll leave."

"*Leave*? Come on."

"I'm serious."

"I am, too. I'm not leaving."

She scooched closer and rested her head on his shoulder. "You know, I think about stuff too."

"Like what?", he asked while also resting his head on her head, which made him feel really close to her. Intertwined, even.

"You", she said quietly and grunted. "I really like hanging out with you, you know?"

"I do too," he said almost immediately. Did this mean what he thought it meant?

"Do you want to go home? I'm sure my mom has cookies."

He nodded. Maybe it did.
